List contacts
curl --request GET \
--url https://api.chatling.ai/v2/chatbots/{chatbotId}/contacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chatling.ai/v2/chatbots/{chatbotId}/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chatling.ai/v2/chatbots/{chatbotId}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"pages": {
"current_page": 1,
"last_page": 1,
"per_page": 25
},
"contacts": [
{
"id": "qtr89df0-112d-d197-b541-3f8674663246",
"name": "Mark Zuckerberg",
"email": "[email protected]",
"job_title": "CEO",
"phone": "555-555-5555",
"website": "https://meta.com",
"company": "Meta Inc.",
"created_at": "2024-06-08T13:38:33+00:00"
}
]
}
}
Contacts
List contacts
Get a list of all the contacts and leads saved by the chatbot.
GET
/
chatbots
/
{chatbotId}
/
contacts
List contacts
Request parameters
Path
string
required
The chatbot ID.
Query
integer
default:"1"
The page number for pagination.
string
default:"date_desc"
The sort order. Possible values:
date_desc: Sort by date in descending order.date_asc: Sort by date in ascending order.
Response
string
The status of the request. Will be
success if the request was successful, otherwise error.object
Show properties
Show properties
object
array
Show properties
Show properties
string
The unique identifier of the contact.
string
The name of the contact.
string
The email address of the contact.
string
The job title of the contact.
string
The phone number of the contact.
string
The website URL of the contact.
string
The company name of the contact.
string
The date and time when the contact was created.
{
"status": "success",
"data": {
"pages": {
"current_page": 1,
"last_page": 1,
"per_page": 25
},
"contacts": [
{
"id": "qtr89df0-112d-d197-b541-3f8674663246",
"name": "Mark Zuckerberg",
"email": "[email protected]",
"job_title": "CEO",
"phone": "555-555-5555",
"website": "https://meta.com",
"company": "Meta Inc.",
"created_at": "2024-06-08T13:38:33+00:00"
}
]
}
}
⌘I

